**Full name**: projects.locations.notebookRuntimeTemplates.list

Lists NotebookRuntimeTemplates in a Location.

### Endpoint

get `https://{service-endpoint}/v1/{parent}/notebookRuntimeTemplates`   
Where `{service-endpoint}` is one of the [supported service endpoints](https://docs.cloud.google.com/gemini-enterprise-agent-platform/reference/rest#rest_endpoints).

### Path parameters

`parent` `string` Required. The resource name of the Location from which to list the NotebookRuntimeTemplates. Format: `projects/{project}/locations/{location}`

### Query parameters

`filter` `string` Optional. An expression for filtering the results of the request. For field names both snake_case and camelCase are supported.

- `notebookRuntimeTemplate` supports = and !=. `notebookRuntimeTemplate` represents the NotebookRuntimeTemplate id, i.e. the last segment of the NotebookRuntimeTemplate's `https://docs.cloud.google.com/gemini-enterprise-agent-platform/reference/rest/v1/projects.locations.notebookRuntimeTemplates#NotebookRuntimeTemplate.FIELDS.name`.
- `displayName` supports = and !=
- `labels` supports general map functions that is:
  - `labels.key=value` - key:value equality
  - \`labels.key:\* or labels:key - key existence
  - A key including a space must be quoted. `labels."a key"`.
- `notebookRuntimeType` supports = and !=. notebookRuntimeType enum: \[USER_DEFINED, ONE_CLICK\].
- `machineType` supports = and !=.
- `acceleratorType` supports = and !=.

Some examples:

- `notebookRuntimeTemplate=notebookRuntimeTemplate123`
- `displayName="myDisplayName"`
- `labels.myKey="myValue"`
- `notebookRuntimeType=USER_DEFINED`
- `machineType=e2-standard-4`
- `acceleratorType=NVIDIA_TESLA_T4`
`pageSize` `integer` Optional. The standard list page size.
`pageToken` `string` Optional. The standard list page token. Typically obtained via `https://docs.cloud.google.com/gemini-enterprise-agent-platform/reference/rest/v1/projects.locations.notebookRuntimeTemplates/list#body.ListNotebookRuntimeTemplatesResponse.FIELDS.next_page_token` of the previous `https://docs.cloud.google.com/gemini-enterprise-agent-platform/reference/rest/v1/projects.locations.notebookRuntimeTemplates/list#google.cloud.aiplatform.v1.NotebookService.ListNotebookRuntimeTemplates` call.
`readMask` ``string (`https://protobuf.dev/reference/protobuf/google.protobuf#field-mask` format)`` Optional. Mask specifying which fields to read.

This is a comma-separated list of fully qualified names of fields. Example: `"user.displayName,photo"`.
`orderBy` `string` Optional. A comma-separated list of fields to order by, sorted in ascending order. Use "desc" after a field name for descending. Supported fields:

- `displayName`
- `createTime`
- `updateTime`

Example: `displayName, createTime desc`.

### Request body

The request body must be empty.

### Response body

Response message for `https://docs.cloud.google.com/gemini-enterprise-agent-platform/reference/rest/v1/projects.locations.notebookRuntimeTemplates/list#google.cloud.aiplatform.v1.NotebookService.ListNotebookRuntimeTemplates`.

If successful, the response body contains data with the following structure:
Fields `notebookRuntimeTemplates[]` ``object (`https://docs.cloud.google.com/gemini-enterprise-agent-platform/reference/rest/v1/projects.locations.notebookRuntimeTemplates#NotebookRuntimeTemplate`)`` List of NotebookRuntimeTemplates in the requested page.
`nextPageToken` `string` A token to retrieve next page of results. Pass to `https://docs.cloud.google.com/gemini-enterprise-agent-platform/reference/rest/v1/projects.locations.notebookRuntimeTemplates/list#body.QUERY_PARAMETERS.page_token` to obtain that page.

| JSON representation |
|---|
| ``` { "notebookRuntimeTemplates": [ { object (`https://docs.cloud.google.com/gemini-enterprise-agent-platform/reference/rest/v1/projects.locations.notebookRuntimeTemplates#NotebookRuntimeTemplate`) } ], "nextPageToken": string } ``` |

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `parent` resource:

- `aiplatform.notebookRuntimeTemplates.list`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).